[ARM Testing Update] 2021-09-09 - Kernels, ModemManager, Chatty, Pipewire, Firefox, Thunderbird

Hello ARM community.
Rather a mobile focused update this time. Enjoy!

image
Chatty gains early MMS support


Some highlights:

  • A couple of Kernels got updated
  • We pushed some more fixes to the modem-stack of the Pinephone
  • Chatty now supports early MMS support
  • Pipewire is now at 0.3.35
  • Mozilla Software got updated: Firefox 92, Thunderbird 91
  • Many python packages got updated
  • Lots of Mobile specific packages got updated

How to use Kodi RPI on Manjaro ARM

If anyone wants to test kodi on the rpi, install these packages:

sudo pacman -S kodi-rpi kodi-rpi-dev kodi-rpi-eventclients kodi-rpi-tools-texturepacker linux-rpi4 xf86-video-fbturbo-git

Have it set up is to boot straight in to kodi

This means the kodi.service file need to replace whatever login manager you have installled. In my case I would:

sudo systemctl disable lightdm.service
sudo systemctl enable kodi.service

They recommend removing custom configs in config.txt. We ran into an issue if a value was set with gpu_mem=.

My config.txt with a bit of overclocking:

over_voltage=5
arm_freq=2000
#gpu_mem=64     #disable this
initramfs initramfs-linux.img followkernel
kernel=kernel8.img
arm_64bit=1
disable_overscan=1

#enable sound
dtparam=audio=on
hdmi_drive=2

#enable vc4
dtoverlay=vc4-kms-v3d,cma-512
#max_framebuffers=2    #disable cause kodi uses more
dtoverlay=rpivid-v4l2
disable_fw_kms_setup=1

Some notes:

The default user will be kodi
kodi home directory will be /var/lib/kodi
So put test video in /var/lib/kodi/Videos so you can get to it
after setting up the video directory in kodi.


Upstream Notifications:

If you used the Manjaro ARM Installer or is using PinePhone or PineTab, you need to redo your passwords, because of an update to libxcrypt:
https://archlinux.org/news/sorting-out-old-password-hashes/

Older notifications

The ghostpcl and ghostxps requires manual intervention (if you have these installed):
Arch Linux - News: ghostpcl>=9.53.2-2 and ghostxps>=9.53.2-2 updates require manual intervention

The nss package requires manual intervention:
Arch Linux - News: nss>=3.51.1-1 and lib32-nss>=3.51.1-1 updates require manual intervention

The packages hplip and firewalld requires manual intervention:
Arch Linux - News: hplip 3.20.3-2 update requires manual intervention
Arch Linux - News: firewalld>=0.8.1-2 update requires manual intervention


Package Changes

(Thu Sep 9 16:52:26 CEST 2021)

  • arm-testing community aarch64: 126 new and 124 removed package(s)
  • arm-testing core aarch64: 13 new and 13 removed package(s)
  • arm-testing extra aarch64: 213 new and 216 removed package(s)
  • arm-testing kde-unstable aarch64: 83 new and 83 removed package(s)
:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2021-09-07           2021-09-09
-------------------------------------------------------------------------------
                              chatty     0.4.0beta3-1 0.4.0beta3+17+ga3cec69-1
                        eg25-manager              0.4.0-4              0.4.0-6
                    libmm-pp-glib 1.18rc1+6+gfa19b2b9-2 1.18rc1+28+gddaa4967-1
                  modemmanager-pp 1.18rc1+6+gfa19b2b9-2 1.18rc1+28+gddaa4967-1
            pinephone-manjaro-tweaks           20210903-2           20210909-1
                               qcoro              0.1.0-1              0.2.0-1
                         pika-backup                    -              0.3.5-1


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2021-09-07           2021-09-09
-------------------------------------------------------------------------------
                       acme-redirect              0.5.1-1              0.5.2-1
                                 age          1.0.0rc.3-1              1.0.0-3
                              catch2             2.13.6-1             2.13.7-1
                                ccid             1.4.35-1             1.4.36-1
                               clash              1.6.5-1              1.7.0-1
                                dart             2.13.4-1             2.14.0-1
                            etherape             0.9.19-1             0.9.20-1
                           exploitdb           20210508-1           20210908-1
               firefox-decentraleyes             2.0.15-3             2.0.16-1
                          flawfinder             2.0.17-1             2.0.18-1
                             haproxy              2.4.3-2              2.4.4-1
                               iaito              5.2.2-2              5.3.1-1
                                jrnl              2.8.2-1              2.8.3-1
                          jupyterlab             3.1.10-1             3.1.11-1
                       knot-resolver              5.3.2-1              5.4.1-1
                              libaxc              0.3.5-1              0.3.6-1
                    libretro-dolphin              32994-1              32996-1
                   libretro-gambatte                925-1                928-1
            libretro-genesis-plus-gx               1809-1               1810-1
                       libretro-mgba               8015-1               8035-1
                       libretro-play               6684-1               6698-1
              libretro-shaders-slang                823-1                835-1
                             libtpms              0.8.4-1              0.8.5-1
                          mate-panel             1.26.0-1             1.26.0-3
                               maven              3.8.1-1              3.8.2-1
                                mozo             1.26.0-1             1.26.0-2
                     multipath-tools              0.8.6-1              0.8.7-1
                       nginx-mod-ndk         0.32+0.3.1-5         0.33+0.3.1-1
                  nginx-mod-set-misc         0.32+0.3.1-5         0.33+0.3.1-1
                              nodejs             16.8.0-1             16.9.0-1
                   npm-check-updates             11.8.4-1             11.8.5-1
                        openfortivpn             1.17.0-1             1.17.1-1
                            patchelf               0.12-1               0.13-1
                           pax-utils              1.2.5-1              1.3.3-1
                                peda                1.1-4                1.2-1
                               pegtl              3.2.0-1              3.2.1-1
                      python-alembic              1.6.5-1              1.7.1-1
                    python-biopython               1.79-1               1.79-2
                       python-celery              5.1.2-1              5.1.2-2
                 python-cinderclient              8.0.0-1              8.0.0-2
              python-dephell-markers              1.0.1-5              1.0.1-6
           python-dephell-setuptools              0.2.1-3              0.2.1-4
                       python-distro              1.5.0-3              1.6.0-1
                       python-dnslib             0.9.16-1             0.9.16-2
                  python-elementpath              2.2.3-1              2.2.3-2
                     python-engineio              4.2.0-1              4.2.1-1
                        python-faker             8.12.1-1             8.12.1-2
               python-flask-socketio              5.0.1-1              5.1.0-1
                     python-flexmock             0.10.8-1             0.10.9-1
                         python-flit              3.2.0-3              3.2.0-4
                    python-flit-core              3.2.0-3              3.2.0-4
                   python-frozendict              2.0.3-1              2.0.6-1
                       python-gevent             21.8.0-1             21.8.0-2
                 python-glanceclient              3.5.0-1              3.5.0-2
              python-google-api-core              2.0.0-1              2.0.1-1
     python-google-api-python-client             2.18.0-1             2.19.1-1
                     python-graphviz               0.16-1               0.16-2
                   python-ipywidgets              7.6.3-1              7.6.3-2
            python-jupyterlab_server              2.7.2-1              2.8.1-1
                       python-k5test              0.9.2-1             0.10.0-1
                python-keystoneauth1              4.3.1-1              4.3.1-2
                         python-kivy              2.0.0-2              2.0.0-3
                        python-kombu              5.1.0-1              5.1.0-2
                  python-lark-parser             0.11.3-1             0.11.3-2
                       python-libcst             0.3.20-1             0.3.20-2
                  python-marshmallow             3.13.0-1             3.13.0-2
                  python-mongoengine             0.23.1-1             0.23.1-2
                    python-mongomock             3.23.0-1             3.23.0-2
                       python-nbxmpp              2.0.2-1              2.0.3-1
                python-octaviaclient              2.4.0-1              2.4.0-2
       python-openapi-spec-validator              0.3.1-1              0.3.1-2
                 python-openstacksdk             0.59.0-1             0.59.0-2
        python-pallets-sphinx-themes              1.2.2-8              2.0.1-1
                        python-pasta              0.2.0-3              0.2.0-4
                         python-praw              7.4.0-1              7.4.0-2
                        python-pydle              0.9.4-2              0.9.4-3
                     python-pyflakes              2.3.1-1              2.3.1-2
                       python-qasync             0.19.0-1             0.20.0-1
                       python-r2pipe              5.3.0-1              5.4.0-1
                 python-recommonmark  0.6.0.194.48f9d1a-3              0.7.1-1
                    python-reportlab             3.5.68-2              3.6.1-1
              python-requirementslib             1.5.16-1             1.5.16-2
                     python-socketio              5.3.0-1              5.4.0-1
                    python-soupsieve              2.2.1-1              2.2.1-2
                    python-symengine              0.7.2-2              0.8.1-1
                         python-tlsh             3.17.0-4              4.7.2-1
                      python-trustme              0.8.0-1              0.9.0-1
                    python-unidecode              1.2.0-1              1.3.0-1
             python-virtualenv-clone              0.5.6-1              0.5.7-1
                      python2-distro              1.5.0-3              1.6.0-1
                            r2ghidra 5.3.0.r6.ge9d8fafe-1              5.4.1-1
                            rabbitmq             3.8.19-1             3.8.22-1
                       rabbitmqadmin             3.8.19-1             3.8.22-1
                             radare2              5.3.1-1              5.4.0-1
                         release-cli              0.9.0-1             0.10.0-1
                           retroarch              1.9.8-1              1.9.9-1
               retroarch-assets-glui              1:378-1              1:382-1
              retroarch-assets-ozone              1:378-1              1:382-1
                retroarch-assets-xmb              1:378-1              1:382-1
                             rpg-cli              0.6.0-2              1.0.0-1
                             shotcut           21.06.29-1           21.08.29-1
               singularity-container              3.8.2-1              3.8.3-1
                           sniffglue             0.12.1-1             0.13.0-1
                              sqlmap              1.5.7-1              1.5.9-1
                             step-ca             0.17.1-1             0.17.2-1
            switchboard-plug-network              2.4.0-1              2.4.1-1
                           termshark              2.2.0-1              2.3.0-1
                                tlsh             3.17.0-4              4.7.2-1
                               tmate              2.4.0-2              2.4.0-3
                              tt-rss 2:r10820.4e81233ac-1 2:r10970.36e174750-1
                           ukui-menu            3.0.1.1-1              3.0.2-1
                                ukwm              1.2.0-2              1.2.1-1
                              ulfius              2.7.3-2              2.7.4-1
                         v2ray-geoip       202109020025-1       202109060310-1
                        vim-fugitive                3.2-1                3.4-1
                              vnstat                2.7-1                2.8-1
                           vultr-cli              2.8.1-1              2.8.2-1
                              wpscan           1:3.8.17-1           1:3.8.18-1
                             songrec                    -              0.2.0-3


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2021-09-07           2021-09-09
-------------------------------------------------------------------------------
                               linux             5.14.1-2             5.14.2-1
                       linux-headers             5.14.1-2             5.14.2-1
                     linux-pinephone             5.14.1-1             5.14.2-2
             linux-pinephone-headers             5.14.1-1             5.14.2-2
                          linux-rpi4            5.10.60-2            5.10.63-1
                  linux-rpi4-headers            5.10.60-2            5.10.63-1
              raspberrypi-bootloader           20210825-1           20210908-1
            raspberrypi-bootloader-x           20210825-1           20210908-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2021-09-07           2021-09-09
-------------------------------------------------------------------------------
             ca-certificates-mozilla             3.69.1-1               3.70-1
                                grub             2:2.06-1             2:2.06-2
                                krb5             1.19.1-1             1.19.2-1
                             libedit       20210522_3.1-1       20210714_3.1-1
                                 nss             3.69.1-1               3.70-1


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2021-09-07           2021-09-09
-------------------------------------------------------------------------------
                             firefox             91.0.2-1               92.0-1
                    firefox-i18n-ach             91.0.2-1               92.0-1
                     firefox-i18n-af             91.0.2-1               92.0-1
                     firefox-i18n-an             91.0.2-1               92.0-1
                     firefox-i18n-ar             91.0.2-1               92.0-1
                    firefox-i18n-ast             91.0.2-1               92.0-1
                     firefox-i18n-az             91.0.2-1               92.0-1
                     firefox-i18n-be             91.0.2-1               92.0-1
                     firefox-i18n-bg             91.0.2-1               92.0-1
                     firefox-i18n-bn             91.0.2-1               92.0-1
                     firefox-i18n-br             91.0.2-1               92.0-1
                     firefox-i18n-bs             91.0.2-1               92.0-1
                     firefox-i18n-ca             91.0.2-1               92.0-1
                    firefox-i18n-cak             91.0.2-1               92.0-1
                     firefox-i18n-cs             91.0.2-1               92.0-1
                     firefox-i18n-cy             91.0.2-1               92.0-1
                     firefox-i18n-da             91.0.2-1               92.0-1
                     firefox-i18n-de             91.0.2-1               92.0-1
                    firefox-i18n-dsb             91.0.2-1               92.0-1
                     firefox-i18n-el             91.0.2-1               92.0-1
                  firefox-i18n-en-ca             91.0.2-1               92.0-1
                  firefox-i18n-en-gb             91.0.2-1               92.0-1
                  firefox-i18n-en-us             91.0.2-1               92.0-1
                     firefox-i18n-eo             91.0.2-1               92.0-1
                  firefox-i18n-es-ar             91.0.2-1               92.0-1
                  firefox-i18n-es-cl             91.0.2-1               92.0-1
                  firefox-i18n-es-es             91.0.2-1               92.0-1
                  firefox-i18n-es-mx             91.0.2-1               92.0-1
                     firefox-i18n-et             91.0.2-1               92.0-1
                     firefox-i18n-eu             91.0.2-1               92.0-1
                     firefox-i18n-fa             91.0.2-1               92.0-1
                     firefox-i18n-ff             91.0.2-1               92.0-1
                     firefox-i18n-fi             91.0.2-1               92.0-1
                     firefox-i18n-fr             91.0.2-1               92.0-1
                  firefox-i18n-fy-nl             91.0.2-1               92.0-1
                  firefox-i18n-ga-ie             91.0.2-1               92.0-1
                     firefox-i18n-gd             91.0.2-1               92.0-1
                     firefox-i18n-gl             91.0.2-1               92.0-1
                     firefox-i18n-gn             91.0.2-1               92.0-1
                  firefox-i18n-gu-in             91.0.2-1               92.0-1
                     firefox-i18n-he             91.0.2-1               92.0-1
                  firefox-i18n-hi-in             91.0.2-1               92.0-1
                     firefox-i18n-hr             91.0.2-1               92.0-1
                    firefox-i18n-hsb             91.0.2-1               92.0-1
                     firefox-i18n-hu             91.0.2-1               92.0-1
                  firefox-i18n-hy-am             91.0.2-1               92.0-1
                     firefox-i18n-ia             91.0.2-1               92.0-1
                     firefox-i18n-id             91.0.2-1               92.0-1
                     firefox-i18n-is             91.0.2-1               92.0-1
                     firefox-i18n-it             91.0.2-1               92.0-1
                     firefox-i18n-ja             91.0.2-1               92.0-1
                     firefox-i18n-ka             91.0.2-1               92.0-1
                    firefox-i18n-kab             91.0.2-1               92.0-1
                     firefox-i18n-kk             91.0.2-1               92.0-1
                     firefox-i18n-km             91.0.2-1               92.0-1
                     firefox-i18n-kn             91.0.2-1               92.0-1
                     firefox-i18n-ko             91.0.2-1               92.0-1
                    firefox-i18n-lij             91.0.2-1               92.0-1
                     firefox-i18n-lt             91.0.2-1               92.0-1
                     firefox-i18n-lv             91.0.2-1               92.0-1
                     firefox-i18n-mk             91.0.2-1               92.0-1
                     firefox-i18n-mr             91.0.2-1               92.0-1
                     firefox-i18n-ms             91.0.2-1               92.0-1
                     firefox-i18n-my             91.0.2-1               92.0-1
                  firefox-i18n-nb-no             91.0.2-1               92.0-1
                  firefox-i18n-ne-np             91.0.2-1               92.0-1
                     firefox-i18n-nl             91.0.2-1               92.0-1
                  firefox-i18n-nn-no             91.0.2-1               92.0-1
                     firefox-i18n-oc             91.0.2-1               92.0-1
                  firefox-i18n-pa-in             91.0.2-1               92.0-1
                     firefox-i18n-pl             91.0.2-1               92.0-1
                  firefox-i18n-pt-br             91.0.2-1               92.0-1
                  firefox-i18n-pt-pt             91.0.2-1               92.0-1
                     firefox-i18n-rm             91.0.2-1               92.0-1
                     firefox-i18n-ro             91.0.2-1               92.0-1
                     firefox-i18n-ru             91.0.2-1               92.0-1
                     firefox-i18n-si             91.0.2-1               92.0-1
                     firefox-i18n-sk             91.0.2-1               92.0-1
                     firefox-i18n-sl             91.0.2-1               92.0-1
                    firefox-i18n-son             91.0.2-1               92.0-1
                     firefox-i18n-sq             91.0.2-1               92.0-1
                     firefox-i18n-sr             91.0.2-1               92.0-1
                  firefox-i18n-sv-se             91.0.2-1               92.0-1
                     firefox-i18n-ta             91.0.2-1               92.0-1
                     firefox-i18n-te             91.0.2-1               92.0-1
                     firefox-i18n-th             91.0.2-1               92.0-1
                     firefox-i18n-tr             91.0.2-1               92.0-1
                     firefox-i18n-uk             91.0.2-1               92.0-1
                     firefox-i18n-ur             91.0.2-1               92.0-1
                     firefox-i18n-uz             91.0.2-1               92.0-1
                     firefox-i18n-vi             91.0.2-1               92.0-1
                     firefox-i18n-xh             91.0.2-1               92.0-1
                  firefox-i18n-zh-cn             91.0.2-1               92.0-1
                  firefox-i18n-zh-tw             91.0.2-1               92.0-1
                              libqmi           1.30.0-1.1                    -


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2021-09-07           2021-09-09
-------------------------------------------------------------------------------
                  alsa-card-profiles           1:0.3.34-1           1:0.3.35-1
                            coordgen              2.0.3-1              3.0.0-1
                              ctags 1:r20210106+g08b1c490-1 1:5.9.20210905.0-1
                 gst-plugin-pipewire           1:0.3.34-1           1:0.3.35-1
                                gvim           8.2.2891-1           8.2.3412-1
                            harfbuzz              2.9.0-1              2.9.1-1
                        harfbuzz-icu              2.9.0-1              2.9.1-1
                               hplip           1:3.21.6-1           1:3.21.8-1
                                js78            78.13.0-1            78.14.0-1
                              kismet         2021_06_R1-1         2021_08_R1-1
                           libdazzle             3.40.0-1             3.42.0-1
                            libhandy              1.2.3-1              1.4.0-1
                              libqmi             1.30.0-1             1.30.2-1
                             libxml2             2.9.10-9             2.9.12-2
                             libxslt             1.1.34-5             1.1.34-6
                                llvm             12.0.1-3             12.0.1-4
                           llvm-libs             12.0.1-3             12.0.1-4
                          llvm-ocaml             12.0.1-3             12.0.1-4
                              llvm10             10.0.1-7             10.0.1-8
                         llvm10-libs             10.0.1-7             10.0.1-8
                              llvm11             11.1.0-3             11.1.0-4
                         llvm11-libs             11.1.0-3             11.1.0-4
                        opencl-clhpp             2.0.14-1             2.0.15-1
                               p7zip            1:17.04-1            1:17.04-3
                           pgbouncer             1.15.0-1             1.16.0-1
                            pipewire           1:0.3.34-1           1:0.3.35-1
                       pipewire-alsa           1:0.3.34-1           1:0.3.35-1
                       pipewire-docs           1:0.3.34-1           1:0.3.35-1
                       pipewire-jack           1:0.3.34-1           1:0.3.35-1
              pipewire-media-session           1:0.3.34-1           1:0.3.35-1
                      pipewire-pulse           1:0.3.34-1           1:0.3.35-1
                   pipewire-zeroconf           1:0.3.34-1           1:0.3.35-1
              plasma-wayland-session             5.22.5-1             5.22.5-2
                    plasma-workspace             5.22.5-1             5.22.5-2
                        poppler-data             0.4.10-1             0.4.11-1
              postgresql-old-upgrade               12.7-3               12.8-1
                 python-cryptography              3.4.8-1              3.4.8-2
                            qt5-base    5.15.2+kde+r222-1    5.15.2+kde+r222-2
                          qt5-script             5.15.5-2             5.15.6-1
                         qt5-wayland     5.15.2+kde+r29-1     5.15.2+kde+r30-1
                       qt5-webengine             5.15.5-1             5.15.6-1
             qt5-xcb-private-headers    5.15.2+kde+r222-1    5.15.2+kde+r222-2
                         thunderbird            78.13.0-1             91.1.0-2
                 thunderbird-i18n-af            78.13.0-1             91.1.0-2
                 thunderbird-i18n-ar            78.13.0-1             91.1.0-2
                thunderbird-i18n-ast            78.13.0-1             91.1.0-2
                 thunderbird-i18n-be            78.13.0-1             91.1.0-2
                 thunderbird-i18n-bg            78.13.0-1             91.1.0-2
                 thunderbird-i18n-br            78.13.0-1             91.1.0-2
                 thunderbird-i18n-ca            78.13.0-1             91.1.0-2
                thunderbird-i18n-cak            78.13.0-1             91.1.0-2
                 thunderbird-i18n-cs            78.13.0-1             91.1.0-2
                 thunderbird-i18n-cy            78.13.0-1             91.1.0-2
                 thunderbird-i18n-da            78.13.0-1             91.1.0-2
                 thunderbird-i18n-de            78.13.0-1             91.1.0-2
                thunderbird-i18n-dsb            78.13.0-1             91.1.0-2
                 thunderbird-i18n-el            78.13.0-1             91.1.0-2
              thunderbird-i18n-en-gb            78.13.0-1             91.1.0-2
              thunderbird-i18n-en-us            78.13.0-1             91.1.0-2
              thunderbird-i18n-es-ar            78.13.0-1             91.1.0-2
              thunderbird-i18n-es-es            78.13.0-1             91.1.0-2
                 thunderbird-i18n-et            78.13.0-1             91.1.0-2
                 thunderbird-i18n-eu            78.13.0-1             91.1.0-2
                 thunderbird-i18n-fa            78.13.0-1                    -
                 thunderbird-i18n-fi            78.13.0-1             91.1.0-2
                 thunderbird-i18n-fr            78.13.0-1             91.1.0-2
              thunderbird-i18n-fy-nl            78.13.0-1             91.1.0-2
              thunderbird-i18n-ga-ie            78.13.0-1             91.1.0-2
                 thunderbird-i18n-gd            78.13.0-1             91.1.0-2
                 thunderbird-i18n-gl            78.13.0-1             91.1.0-2
                 thunderbird-i18n-he            78.13.0-1             91.1.0-2
                 thunderbird-i18n-hr            78.13.0-1             91.1.0-2
                thunderbird-i18n-hsb            78.13.0-1             91.1.0-2
                 thunderbird-i18n-hu            78.13.0-1             91.1.0-2
              thunderbird-i18n-hy-am            78.13.0-1             91.1.0-2
                 thunderbird-i18n-id            78.13.0-1             91.1.0-2
                 thunderbird-i18n-is            78.13.0-1             91.1.0-2
                 thunderbird-i18n-it            78.13.0-1             91.1.0-2
                 thunderbird-i18n-ja            78.13.0-1             91.1.0-2
                 thunderbird-i18n-ka            78.13.0-1             91.1.0-2
                thunderbird-i18n-kab            78.13.0-1             91.1.0-2
                 thunderbird-i18n-kk            78.13.0-1             91.1.0-2
                 thunderbird-i18n-ko            78.13.0-1             91.1.0-2
                 thunderbird-i18n-lt            78.13.0-1             91.1.0-2
                 thunderbird-i18n-ms            78.13.0-1             91.1.0-2
              thunderbird-i18n-nb-no            78.13.0-1             91.1.0-2
                 thunderbird-i18n-nl            78.13.0-1             91.1.0-2
              thunderbird-i18n-nn-no            78.13.0-1             91.1.0-2
              thunderbird-i18n-pa-in            78.13.0-1             91.1.0-2
                 thunderbird-i18n-pl            78.13.0-1             91.1.0-2
              thunderbird-i18n-pt-br            78.13.0-1             91.1.0-2
              thunderbird-i18n-pt-pt            78.13.0-1             91.1.0-2
                 thunderbird-i18n-rm            78.13.0-1             91.1.0-2
                 thunderbird-i18n-ro            78.13.0-1             91.1.0-2
                 thunderbird-i18n-ru            78.13.0-1             91.1.0-2
                 thunderbird-i18n-si            78.13.0-1                    -
                 thunderbird-i18n-sk            78.13.0-1             91.1.0-2
                 thunderbird-i18n-sl            78.13.0-1             91.1.0-2
                 thunderbird-i18n-sq            78.13.0-1             91.1.0-2
                 thunderbird-i18n-sr            78.13.0-1             91.1.0-2
              thunderbird-i18n-sv-se            78.13.0-1             91.1.0-2
                 thunderbird-i18n-th            78.13.0-1             91.1.0-2
                 thunderbird-i18n-tr            78.13.0-1             91.1.0-2
                 thunderbird-i18n-uk            78.13.0-1             91.1.0-2
                 thunderbird-i18n-uz            78.13.0-1             91.1.0-2
                 thunderbird-i18n-vi            78.13.0-1             91.1.0-2
              thunderbird-i18n-zh-cn            78.13.0-1             91.1.0-2
              thunderbird-i18n-zh-tw            78.13.0-1             91.1.0-2
                            tomcat10            10.0.10-1            10.0.11-1
                             tomcat9             9.0.52-1             9.0.53-1
                                 vim           8.2.2891-1           8.2.3412-1
                         vim-runtime           8.2.2891-1           8.2.3412-1
                            visualvm              2.0.7-1                2.1-1
                 vulkan-extra-layers          1.2.182.0-1          1.2.189.0-1
                  vulkan-extra-tools          1.2.182.0-1          1.2.189.0-1
                      vulkan-headers          1:1.2.188-1          1:1.2.191-1
                   vulkan-icd-loader            1.2.188-1            1.2.190-1
                        vulkan-tools            1.2.184-1            1.2.190-1
            vulkan-validation-layers            1.2.184-1            1.2.190-1
                   wayland-protocols               1.21-1               1.22-1
                                wget             1.21.1-1             1.21.2-1


:: Different overlay package(s) in repository kde-unstable aarch64

-------------------------------------------------------------------------------
                             PACKAGE           2021-09-07           2021-09-09
-------------------------------------------------------------------------------
                             akonadi21.08.1.r12566.gbc0c31ce4-121.08.1.r12570.gfcf2e70f6-1
                    akonadi-calendar21.08.1.r1981.g7946f6f-121.08.1.r1983.gfde63cc-1
              akonadi-calendar-tools21.08.1.r897.gea6537f-121.08.1.r898.gc804ef5-1
                    akonadi-contacts21.08.1.r3057.g67bafee1-121.08.1.r3060.gbc611980-1
               akonadi-import-wizard21.08.1.r1737.ge58bc96-121.08.1.r1738.g9419065-1
                        akonadi-mime21.08.1.r1642.g1599e44-121.08.1.r1645.g63d3ceb-1
                      akonadi-search21.08.1.r1124.gf9d184b-121.08.1.r1125.g9b17159-1
                      akonadiconsole21.08.1.r1523.g94efa5d-121.08.1.r1525.g848d3fa-1
                           akregator21.08.1.r6221.g596b76f9-121.08.1.r6222.g6f6395e6-1
                           bluedevil1:5.22.5.r2276.ge6ecea09-11:5.22.5.r2277.g653e0b5c-1
                        breeze-icons5.85.0.r1786.g97c6865d-15.85.0.r1787.ged790d1a-1
                            discover5.22.5.r8297.g1931ef22-15.22.5.r8298.g48ee793f-1
                             dolphin21.08.1.r6702.g27bfcde4e-121.08.1.r6705.gde7c7ca27-1
                     grantlee-editor21.08.1.r769.gc82ec4c-121.08.1.r770.g421e4df-1
                            gwenview21.08.1.r6659.g46b06fbb-121.08.1.r6660.ge8efe118-1
                     incidenceeditor21.08.1.r766.gc640bc6-121.08.1.r768.gf7a43aa-1
               kaccounts-integration21.08.1.r1213.g1c40dc4-121.08.1.r1215.gc8c7ed4-1
                        kaddressbook21.08.1.r6037.g315bfb74-121.08.1.r6039.g780193f5-1
                              kalarm21.08.1.r6461.g2efe1770-121.08.1.r6462.g1f83aa16-1
                           kalarmcal21.08.1.r1143.g3642558-121.08.1.r1144.gae6dc9c-1
                             kblocks21.08.1.r671.ge1978e5-121.08.1.r673.g59a2487-1
                       kcalendarcore5.85.0.r1237.g9e903c0e6-15.85.0.r1238.g4d457484e-1
                            kcmutils5.85.0.r544.g3285782-15.85.0.r546.g69d97cc-1
                         kcoreaddons5.85.0.r1289.gbe0d7ca2-15.85.0.r1290.g30a10900-1
                        kdeclarative5.85.0.r920.g47782d5-15.85.0.r921.g3583b5a-1
                          kdeconnect21.08.1.r3313.gbff51724-121.08.1.r3316.g1662179b-1
              kdenetwork-filesharing21.08.1.r890.g3fd6518-121.08.1.r892.gc00b69f-1
                       kdepim-addons21.08.1.r4329.g3f51d3ca-121.08.1.r4330.g432ec4f4-1
                      kdepim-runtime21.08.1.r15269.g199c250b6-121.08.1.r15272.gbded29022-1
                    kdeplasma-addons5.22.5.r8582.g84a58cb76-15.22.5.r8583.g350b81a81-1
                          kemoticons5.85.0.r385.gae064b7-15.85.0.r386.ge98dbf3-1
                     kimagemapeditor21.08.1.r471.g0b688f0-121.08.1.r472.g323c8f8-1
                         kinfocenter5.22.5.r1920.g78d217b-15.22.5.r1921.g3cb20ad-1
                          kitinerary21.08.1.r1929.gf1972fa-121.08.1.r1932.g34d03bb-1
                               kmail21.08.1.r25950.g7151a2c50-121.08.1.r25954.gf8b603d7f-1
                kmail-account-wizard21.08.1.r813.gf9f8c08-121.08.1.r814.gf4cbf1e-1
                      kmailtransport21.08.1.r1652.g139b466-121.08.1.r1655.g24e9b08-1
                              kmplot21.08.1.r1465.gd296b34-121.08.1.r1466.g40bae64-1
                        knavalbattle21.08.1.r1389.g3022b1b-121.08.1.r1390.g1fcbe9d-1
                              knotes21.08.1.r3510.g5a306467-121.08.1.r3515.g97ff7da1-1
                         kolourpaint21.08.1.r2362.ge33b2fb6-121.08.1.r2363.gcfe3d636-1
                    kontactinterface21.08.1.r632.gaeb9dfb-121.08.1.r633.g73a7a65-1
                        konversation21.08.1.r8994.gcafec3c4-121.08.1.r8996.g178389ed-1
                          korganizer21.08.1.r11493.g417ce07bf-121.08.1.r11497.g85fb36087-1
                       kosmindoormap21.08.1.r642.g71083d0-121.08.1.r644.g0f6c059-1
                                kpat21.08.1.r2563.gc34a94a-121.08.1.r2565.gd715b7a-1
                         kpeoplesink       r73.g792e312-1       r74.g69c548a-1
                             kpkpass21.08.1.r238.g8b5da12-121.08.1.r239.gfd23c58-1
                             kpmcore21.08.1.r1198.gd31f173-121.08.1.r1199.g2734c58-1
                    kpublictransport21.08.1.r1799.g54da1a48-121.08.1.r1809.gcb34262f-1
                             kscreen5.22.5.r1346.gf97d5f1-15.22.5.r1349.g52f4bf6-1
                       kscreenlocker5.22.5.r866.g838a067-15.22.5.r868.g7e2e549-1
                            kservice5.85.0.r942.g8775462-15.85.0.r943.g332d979-1
                               ksirk21.08.1.r963.g8b813b0-121.08.1.r965.g9a4fe5d-1
                             ksudoku21.08.1.r1051.g1a62981-121.08.1.r1052.g6fe6bb1-1
                            ktorrent21.08.1.r2776.g29857fee-121.08.1.r2777.gc87029dd-1
                              ktouch21.08.1.r2139.gae43a86-121.08.1.r2141.gbd68c2a-1
                             kturtle21.08.1.r1120.gce77c9b-121.08.1.r1122.gc2dff90-1
                     kwayland-server5.22.5.r1381.g30ced05-15.22.5.r1382.g56f201b-1
                            kweather  21.08.r5.g08af12e-1  21.08.r8.gb00ec36-1
                                kwin5.22.5.r19954.g6d35d63ac-15.22.5.r19964.g16f5ce936-1
                          libakonadi21.08.1.r12566.gbc0c31ce4-121.08.1.r12570.gfcf2e70f6-1
                             libkleo21.08.1.r932.gcc4e224-121.08.1.r933.g7a08864-1
                          libkscreen5.22.5.r1590.gd24df22-15.22.5.r1591.g94b5c19-1
                          mailcommon21.08.1.r1106.g71fe9ae-121.08.1.r1108.gf489d52-1
                             mauikit 2.0.1.r3.g5cf0a6f3-1 2.0.1.r4.g9af13683-1
                          messagelib21.08.1.r6157.gcca6d983-121.08.1.r6161.gd7ba88b5-1
                              okular21.08.1.r9451.gbb34db29b-121.08.1.r9454.g21f96680a-1
                      plasma-desktop5.22.5.r8599.g032cbc795-15.22.5.r8600.gc03d5deeb-1
                     plasma-firewall5.22.5.r505.g5982e0d-15.22.5.r507.g01effba-1
                    plasma-framework5.85.0.r15977.g8e979a45d-15.85.0.r15978.gbddd5ff15-1
                    plasma-mobile-nm5.22.3.r3087.gb4fc87e2-15.22.3.r3088.g85501e87-1
                           plasma-nm5.22.5.r3087.gb4fc87e2-15.22.5.r3089.gcf60c53e-1
                           plasma-pa5.22.5.r962.g0703026-15.22.5.r963.g7ccfe07-1
                  plasma-thunderbolt5.22.5.r135.g5186a62-15.22.5.r137.g6a6176d-1
              plasma-wayland-session5.22.5.r10617.g6379d1ec8-15.22.5.r10620.g9189bfea0-1
                    plasma-workspace5.22.5.r10617.g6379d1ec8-15.22.5.r10620.g9189bfea0-1
                          powerdevil5.22.5.r2464.gc0f4317a-15.22.5.r2466.g0b843fe2-1
                  qqc2-desktop-style5.85.0.r521.g46d068f-15.85.0.r522.g372d2d1-1
                            sddm-kcm5.22.5.r593.ga7ef765-15.22.5.r595.g95c49e0-1
                           spectacle21.08.1.r1164.gaa227e6-121.08.1.r1165.ga4f7dfb-1
                      systemsettings5.22.5.r2488.gb3efa174-15.22.5.r2490.gd0362a47-1
               telepathy-kde-text-ui21.08.1.r2021.gb8a5fc7-121.08.1.r2022.g56586fc-1


Testers needed on arm-testing branch

We are in need of testers for our arm-testing and arm-unstable branches.
So if you are adventurous and want newer software quicker, we would love for you to help us test out the new packages in arm-testing branch.

All you have to do to switch to this branch is:

  • Run this command to switch branch: sudo pacman-mirrors -aS testing && sudo pacman -Syyu. This will generate a new mirrorlist for you, sync your databases with the new mirror and update your system using the arm-testing branch.

We would then love for you to give feedback in our update posts in #arm:testing-updates. That way we can better find and fix bugs, before they hit arm-stable branch. Thank you!


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

1 Like

Known Issues and Solutions

This is a wiki post, please edit it when you find a solution to an issue you encountered

No ethernet on rk3399 boards
A recent kernel regression has resulted in built in ethernet on rk3399 based boards, such as RockPro64 and Rock Pi 4’s, no longer works on kernel 5.14. This is an upstream issue that has not been fixed yet.
Fix: Update to linux-5.14.1-2 or newer.

Vivaldi no longer working
The issue is present in all chrome based browser (except Chromium that got a patch for it).
It’s an issue with systemd-resolved and has been reported in the Arch Linux Bug Tracker.
Needs to be fixed by Vivaldi updates in the future.
Fix: Vivaldi 4.1.2369.21 fixed this issue.

Old Issues

Modemmanager-pp dependency issue
modemmanager-pp 1.16.10 depends on libqmi-pp and libmbim-pp, but they are no longer found in the repo.
Fixed by updated to modemmanager-pp 1.18rc1+2+ga20f2c05-2.

systemd-hook unsuccesful after pacman 6 update
After the pacman 6 update, updates will create this message in the post-transation hooks part:

Running the command manually works and there has been no issues reported as the result of this. This will either get fixed at some point in Pacman or SystemD.
Should be fixed with pacman-6.0.0-4

Keyring issues
If you have some gpg keyring issues, you can run sudo systemctl start pacman-init.service which will regenerate your keyring. Will take a few minutes to complete.
Should be fixed with manjaro-system-20210716-1

Plasma Mobile no longer boots
The current update to qt5-es2-base results in Plasma Mobile no longer booting, showing a screen that says to run a loginctl command to login.
Fixed by updating to qt5-es2-base-5.15.2+kde+r199-3.1 and qt5-es2-declarative-5.15.2+kde+r28-3.1.

Kwin crashes on startup on Pinebook Pro
This seems to be related to Mesa 20.3 and the Pinebook Pro support in kernel 5.10, as this does not seem to happen on other devices.
It does not impact 3d performance as far as I can tell. Just the OpenGL compositing in Kwin.
Fixed with mesa 20.3.2-2.

My VPN no longer connects
OpenVPN 2.5.0 changed how VPN routes work.
Workaround is to downgrade to previous version (2.4.9):

sudo pacman -U /var/cache/pacman/pkg/openvpn-2.4.9*

DP Alt Mode no longer works on Pinebook Pro
This is a known issue, the hacky patch we had to enable this has broken in recent kernels.
@tsys and Ayufan are looking into it.
As a workaround you can install linux-pinebookpro again.
FIXED with linux-5.9.12-4 and linux-rc-5.10-rc7-2 and above.

brcm-patchram-plus and pi-blueooth are in conflict
See this post for workaround:
[ARM Testing Update] 2020-11-16 - Bitwarden, Mesa-Git, Pacman and kernels - #10 by Darksky

Plasma Mobile Keyboard
The plasma mobile onscreen keyboard does not work with QT 5.15.0.
This is fixed by updating to kwin 5.19.3-1.1.

PinePhone uboot
This update to the PinePhone Uboot package (2020.04-2), changed how the DTS is loaded from the kernel, since the Kernel DTS for the Pinephone also changed. When doing this update on the PinePhone images from Alpha5 and back, please make this change to the /boot/extlinux/extlinux.conf before rebooting:

  • sun50i-a64-pinephone.dtb to sun50i-a64-pinephone-1.2.dtb
  • root=LABEL=ROOT to root=LABEL=ROOT_MNJRO

Manual interventions:
The nss and zn_poly packages prior to version 3.51.1-1 and version 0.9.2-2 respectively, were missing a soname link each. This has been fixed in 3.51.1-1 and 0.9.2-2 of these packages, so the upgrade will need to overwrite the untracked files created by ldconfig. If you get any of these errors

nss: /usr/lib/p11-kit-trust.so exists in filesystem
zn_poly: /usr/lib/libzn_poly-0.9.so  exists in filesystem

when updating, use

pacman -Syu --overwrite /usr/lib/p11-kit-trust.so --overwrite /usr/lib/libzn_poly-0.9.so

to perform the upgrade.

Device stopped booting after Uboot update
The uboot update included a change to the extlinux.conf file. This change will be incompatible with the old 1 partition layout of some devices.
So if you are updating installs made with images 20.02.1 or older, you need to apply this fix before rebooting!
To fix this please edit your /boot/extlinux/extlinux.conf file and add 2 periods in front of each first slash, like so:

KERNEL ../Image
FDT ../dtbs/ #etc.
APPEND initrd=../initramfs-linux.img #etc.

Save the file and reboot.

Update went smoothly. Trying to test the “early MMS support” in chatty on pinephone. Are there any packages that we need to have installed aside from the listed dependencies? Does it use purple-mm-sms?

Hi,

Odroid C4 kde up to date.
I built an image for the Odroid n2, it doesn’t come on the desktop.
I up date the n2 21.08 kde (download on the website) it works, except the vnc (krfb, x11vnc), I don’t know why…